package com.shining.cloud.pojo.RealTimeInfo;

import java.util.Date;

/**
 * @description: 实时数据列表
 * @author: denghuajun
 * @time: 2019-12-16 11:58:44
 **/

public class RealTimeInfo {
    private int lineIndex;//监测点id	int
    private Date timeId = new Date();//数据刷新时间戳	int
    private String rmsVA = "/";//A相电压有效值	String
    private String rmsVB = "/";//B相电压有效值	String
    private String rmsVC = "/";//C相电压有效值	String
    private String vMax = "/";//电压最大值	String	pt1*1.2/1000
    private String rmsIA = "/";//A相电流有效值	String
    private String rmsIB = "/";//B相电流有效值	String
    private String rmsIC = "/";//C相电流有效值	String
    private String iMax = "/";//电流最大值	String	ct1
    private String baseWaveVA = "/";//A相基波电压幅值	String
    private String baseWaveVB = "/";//B相基波电压幅值	String
    private String baseWaveVC = "/";//C相基波电压幅值	String
    private String baseWavePhaseVA = "/";//A相基波电压相位	String
    private String baseWavePhaseVB = "/";//B相基波电压相位	String
    private String baseWavePhaseVC = "/";//C相基波电压相位	String
    private String baseWaveIA = "/";//A相基波电流幅值	String
    private String baseWaveIB = "/";//B相基波电流幅值	String
    private String baseWaveIC = "/";//C相基波电流幅值	String
    private String baseWavePhaseIA = "/";//A相基波电流相位	String
    private String baseWavePhaseIB = "/";//B相基波电流相位	String
    private String baseWavePhaseIC = "/";//C相基波电流相位	String
    private String VUDevA = "/";//A相电压偏差	String
    private String VUDevB = "/";//B相电压偏差	String
    private String VUDevC = "/";//C相电压偏差	String
    private String thdVA = "/";//A相电压畸变率	String
    private String thdVB = "/";//B相电压畸变率	String
    private String thdVC = "/";//C相电压畸变率	String


    public int getLineIndex() {
        return lineIndex;
    }

    public void setLineIndex(int lineIndex) {
        this.lineIndex = lineIndex;
    }

    public Date getTimeId() {
        return timeId;
    }

    public void setTimeId(Date timeId) {
        this.timeId = timeId;
    }

    public String getRmsVA() {
        return rmsVA;
    }

    public void setRmsVA(String rmsVA) {
        this.rmsVA = rmsVA;
    }

    public String getRmsVB() {
        return rmsVB;
    }

    public void setRmsVB(String rmsVB) {
        this.rmsVB = rmsVB;
    }

    public String getRmsVC() {
        return rmsVC;
    }

    public void setRmsVC(String rmsVC) {
        this.rmsVC = rmsVC;
    }

    public String getvMax() {
        return vMax;
    }

    public void setvMax(String vMax) {
        this.vMax = vMax;
    }

    public String getRmsIA() {
        return rmsIA;
    }

    public void setRmsIA(String rmsIA) {
        this.rmsIA = rmsIA;
    }

    public String getRmsIB() {
        return rmsIB;
    }

    public void setRmsIB(String rmsIB) {
        this.rmsIB = rmsIB;
    }

    public String getRmsIC() {
        return rmsIC;
    }

    public void setRmsIC(String rmsIC) {
        this.rmsIC = rmsIC;
    }

    public String getiMax() {
        return iMax;
    }

    public void setiMax(String iMax) {
        this.iMax = iMax;
    }

    public String getBaseWaveVA() {
        return baseWaveVA;
    }

    public void setBaseWaveVA(String baseWaveVA) {
        this.baseWaveVA = baseWaveVA;
    }

    public String getBaseWaveVB() {
        return baseWaveVB;
    }

    public void setBaseWaveVB(String baseWaveVB) {
        this.baseWaveVB = baseWaveVB;
    }

    public String getBaseWaveVC() {
        return baseWaveVC;
    }

    public void setBaseWaveVC(String baseWaveVC) {
        this.baseWaveVC = baseWaveVC;
    }

    public String getBaseWavePhaseVA() {
        return baseWavePhaseVA;
    }

    public void setBaseWavePhaseVA(String baseWavePhaseVA) {
        this.baseWavePhaseVA = baseWavePhaseVA;
    }

    public String getBaseWavePhaseVB() {
        return baseWavePhaseVB;
    }

    public void setBaseWavePhaseVB(String baseWavePhaseVB) {
        this.baseWavePhaseVB = baseWavePhaseVB;
    }

    public String getBaseWavePhaseVC() {
        return baseWavePhaseVC;
    }

    public void setBaseWavePhaseVC(String baseWavePhaseVC) {
        this.baseWavePhaseVC = baseWavePhaseVC;
    }

    public String getBaseWaveIA() {
        return baseWaveIA;
    }

    public void setBaseWaveIA(String baseWaveIA) {
        this.baseWaveIA = baseWaveIA;
    }

    public String getBaseWaveIB() {
        return baseWaveIB;
    }

    public void setBaseWaveIB(String baseWaveIB) {
        this.baseWaveIB = baseWaveIB;
    }

    public String getBaseWaveIC() {
        return baseWaveIC;
    }

    public void setBaseWaveIC(String baseWaveIC) {
        this.baseWaveIC = baseWaveIC;
    }

    public String getBaseWavePhaseIA() {
        return baseWavePhaseIA;
    }

    public void setBaseWavePhaseIA(String baseWavePhaseIA) {
        this.baseWavePhaseIA = baseWavePhaseIA;
    }

    public String getBaseWavePhaseIB() {
        return baseWavePhaseIB;
    }

    public void setBaseWavePhaseIB(String baseWavePhaseIB) {
        this.baseWavePhaseIB = baseWavePhaseIB;
    }

    public String getBaseWavePhaseIC() {
        return baseWavePhaseIC;
    }

    public void setBaseWavePhaseIC(String baseWavePhaseIC) {
        this.baseWavePhaseIC = baseWavePhaseIC;
    }

    public String getVUDevA() {
        return VUDevA;
    }

    public void setVUDevA(String VUDevA) {
        this.VUDevA = VUDevA;
    }

    public String getVUDevB() {
        return VUDevB;
    }

    public void setVUDevB(String VUDevB) {
        this.VUDevB = VUDevB;
    }

    public String getVUDevC() {
        return VUDevC;
    }

    public void setVUDevC(String VUDevC) {
        this.VUDevC = VUDevC;
    }

    public String getThdVA() {
        return thdVA;
    }

    public void setThdVA(String thdVA) {
        this.thdVA = thdVA;
    }

    public String getThdVB() {
        return thdVB;
    }

    public void setThdVB(String thdVB) {
        this.thdVB = thdVB;
    }

    public String getThdVC() {
        return thdVC;
    }

    public void setThdVC(String thdVC) {
        this.thdVC = thdVC;
    }

    @Override
    public String toString() {
        return "RealTimeInfo{" +
                "lineIndex=" + lineIndex +
                ", timeId=" + timeId +
                ", rmsVA='" + rmsVA + '\'' +
                ", rmsVB='" + rmsVB + '\'' +
                ", rmsVC='" + rmsVC + '\'' +
                ", vMax='" + vMax + '\'' +
                ", rmsIA='" + rmsIA + '\'' +
                ", rmsIB='" + rmsIB + '\'' +
                ", rmsIC='" + rmsIC + '\'' +
                ", iMax='" + iMax + '\'' +
                ", baseWaveVA='" + baseWaveVA + '\'' +
                ", baseWaveVB='" + baseWaveVB + '\'' +
                ", baseWaveVC='" + baseWaveVC + '\'' +
                ", baseWavePhaseVA='" + baseWavePhaseVA + '\'' +
                ", baseWavePhaseVB='" + baseWavePhaseVB + '\'' +
                ", baseWavePhaseVC='" + baseWavePhaseVC + '\'' +
                ", baseWaveIA='" + baseWaveIA + '\'' +
                ", baseWaveIB='" + baseWaveIB + '\'' +
                ", baseWaveIC='" + baseWaveIC + '\'' +
                ", baseWavePhaseIA='" + baseWavePhaseIA + '\'' +
                ", baseWavePhaseIB='" + baseWavePhaseIB + '\'' +
                ", baseWavePhaseIC='" + baseWavePhaseIC + '\'' +
                ", VUDevA='" + VUDevA + '\'' +
                ", VUDevB='" + VUDevB + '\'' +
                ", VUDevC='" + VUDevC + '\'' +
                ", thdVA='" + thdVA + '\'' +
                ", thdVB='" + thdVB + '\'' +
                ", thdVC='" + thdVC + '\'' +
                '}';
    }
}